org.apache.tinkerpop.gremlin.driver.ser

## Class JsonBuilderGryoSerializer

- java.lang.Object
- - org.apache.tinkerpop.shaded.kryo.Serializer<groovy.json.JsonBuilder>
  - - org.apache.tinkerpop.gremlin.driver.ser.JsonBuilderGryoSerializer

- Deprecated.
  As of release 3.5.2, not replaced.

      @Deprecated
      public final class JsonBuilderGryoSerializer
      extends org.apache.tinkerpop.shaded.kryo.Serializer<groovy.json.JsonBuilder>

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonBuilderGryoSerializer()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `groovy.json.JsonBuilder` | `read(org.apache.tinkerpop.shaded.kryo.Kryo kryo, org.apache.tinkerpop.shaded.kryo.io.Input input, Class<groovy.json.JsonBuilder> jsonBuilderClass)` Deprecated.
    `void` | `write(org.apache.tinkerpop.shaded.kryo.Kryo kryo, org.apache.tinkerpop.shaded.kryo.io.Output output, groovy.json.JsonBuilder jsonBuilder)` Deprecated.

    - ### Methods inherited from class org.apache.tinkerpop.shaded.kryo.Serializer

      `copy, getAcceptsNull, isImmutable, setAcceptsNull, setGenerics, setImmutable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JsonBuilderGryoSerializer

          public JsonBuilderGryoSerializer()

      Deprecated.

  - ### Method Detail

    - #### write

          public void write(org.apache.tinkerpop.shaded.kryo.Kryo kryo,
                            org.apache.tinkerpop.shaded.kryo.io.Output output,
                            groovy.json.JsonBuilder jsonBuilder)

      Deprecated.
      Specified by:
        `write` in class `org.apache.tinkerpop.shaded.kryo.Serializer<groovy.json.JsonBuilder>`

    - #### read

          public groovy.json.JsonBuilder read(org.apache.tinkerpop.shaded.kryo.Kryo kryo,
                                              org.apache.tinkerpop.shaded.kryo.io.Input input,
                                              Class<groovy.json.JsonBuilder> jsonBuilderClass)

      Deprecated.
      Specified by:
        `read` in class `org.apache.tinkerpop.shaded.kryo.Serializer<groovy.json.JsonBuilder>`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.